﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

namespace WebDataGridIssue
{
    public partial class Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                BindData();
            }
        }
        private void BindData()
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("ProductID");
            dt.Columns.Add("ProductNumber");

            DataRow row = null;
            for (int i = 0; i < 10; i++)
            {
                row = dt.NewRow();
                row["ProductID"] = i;
                row["ProductNumber"] =i.ToString("#0000");
                dt.Rows.Add(row);
            }

            WebDataGrid1.DataSource = dt;
            WebDataGrid1.DataBind();
        }
    }
}